diff -Nur bcm963xx_router.orig/hostTools/scripts/defconfig-bcm.template bcm963xx_router/hostTools/scripts/defconfig-bcm.template
--- bcm963xx_router.orig/hostTools/scripts/defconfig-bcm.template	2007-12-17 10:08:24.000000000 +0100
+++ bcm963xx_router/hostTools/scripts/defconfig-bcm.template	2007-12-17 10:11:34.000000000 +0100
@@ -339,7 +339,7 @@
 # CONFIG_BLK_CPQ_CISS_DA is not set
 # CONFIG_BLK_DEV_DAC960 is not set
 # CONFIG_BLK_DEV_UMEM is not set
-# CONFIG_BLK_DEV_LOOP is not set
+CONFIG_BLK_DEV_LOOP=m
 # CONFIG_BLK_DEV_NBD is not set
 # CONFIG_BLK_DEV_SX8 is not set
 # CONFIG_BLK_DEV_RAM is not set
@@ -938,7 +938,7 @@
 # CONFIG_REISERFS_FS is not set
 # CONFIG_JFS_FS is not set
 # CONFIG_XFS_FS is not set
-# CONFIG_MINIX_FS is not set
+CONFIG_MINIX_FS=m
 # CONFIG_ROMFS_FS is not set
 # CONFIG_QUOTA is not set
 # CONFIG_AUTOFS_FS is not set
@@ -979,7 +979,7 @@
 # CONFIG_BFS_FS is not set
 # CONFIG_EFS_FS is not set
 # CONFIG_JFFS_FS is not set
-# CONFIG_JFFS2_FS is not set
+CONFIG_JFFS2_FS=m
 # CONFIG_SQUASHFS is not set
 # CONFIG_CRAMFS is not set
 # CONFIG_LZMA_FS_INFLATE is not set
diff -Nur bcm963xx_router.orig/targets/fs.src/etc/init.d/rcS bcm963xx_router/targets/fs.src/etc/init.d/rcS
--- bcm963xx_router.orig/targets/fs.src/etc/init.d/rcS	2007-12-17 10:08:24.000000000 +0100
+++ bcm963xx_router/targets/fs.src/etc/init.d/rcS	2007-12-17 10:09:41.000000000 +0100
@@ -24,7 +24,7 @@
 ln -s /www81/index.cgi /var/www/idx81.cgi
 echo "#!/bin/sh" > /var/www/index.cgi
 echo "" >> /var/www/index.cgi
-echo ". idx81.cgi" >> /var/www/index.cgi
+echo ". ./idx81.cgi" >> /var/www/index.cgi
 chmod 755 /var/www/index.cgi
 
 /sbin/thttpd_wrapper &
diff -Nur bcm963xx_router.orig/userapps/opensource/busybox/brcm.config bcm963xx_router/userapps/opensource/busybox/brcm.config
--- bcm963xx_router.orig/userapps/opensource/busybox/brcm.config	2007-12-17 10:08:24.000000000 +0100
+++ bcm963xx_router/userapps/opensource/busybox/brcm.config	2007-12-17 10:09:40.000000000 +0100
@@ -84,18 +84,16 @@
 CONFIG_DF=y
 # CONFIG_DIRNAME is not set
 # CONFIG_DOS2UNIX is not set
-# CONFIG_DU is not set
+CONFIG_DU=y
+CONFIG_FEATURE_DU_DEFALT_BLOCKSIZE_1K=y
 CONFIG_ECHO=y
 CONFIG_FEATURE_FANCY_ECHO=y
 # CONFIG_ENV is not set
 CONFIG_EXPR=y
 CONFIG_FALSE=y
-
-#
-# false (forced enabled for use with shell)
-#
 # CONFIG_FOLD is not set
-# CONFIG_HEAD is not set
+CONFIG_HEAD=y
+# CONFIG_FEATURE_FANCY_HEAD is not set
 # CONFIG_HOSTID is not set
 # CONFIG_ID is not set
 # CONFIG_INSTALL is not set
@@ -110,10 +108,10 @@
 CONFIG_FEATURE_LS_TIMESTAMPS=y
 CONFIG_FEATURE_LS_USERNAME=y
 CONFIG_FEATURE_LS_COLOR=y
-# CONFIG_MD5SUM is not set
+CONFIG_MD5SUM=y
 CONFIG_MKDIR=y
 # CONFIG_MKFIFO is not set
-# CONFIG_MKNOD is not set
+CONFIG_MKNOD=y
 CONFIG_MV=y
 # CONFIG_OD is not set
 # CONFIG_PRINTF is not set
@@ -123,11 +121,13 @@
 CONFIG_RMDIR=y
 # CONFIG_SEQ is not set
 # CONFIG_SHA1SUM is not set
-# CONFIG_SLEEP is not set
-# CONFIG_SORT is not set
+CONFIG_SLEEP=y
+# CONFIG_FEATURE_FANCY_SLEEP is not set
+CONFIG_SORT=y
 # CONFIG_STTY is not set
 # CONFIG_SYNC is not set
-# CONFIG_TAIL is not set
+CONFIG_TAIL=y
+CONFIG_FEATURE_FANCY_TAIL=y
 # CONFIG_TEE is not set
 CONFIG_TEST=y
 
@@ -138,12 +138,8 @@
 CONFIG_TOUCH=y
 # CONFIG_TR is not set
 CONFIG_TRUE=y
-
-#
-# true (forced enabled for use with shell)
-#
 CONFIG_TTY=y
-# CONFIG_UNAME is not set
+CONFIG_UNAME=y
 # CONFIG_UNIQ is not set
 # CONFIG_USLEEP is not set
 # CONFIG_UUDECODE is not set
@@ -170,10 +166,15 @@
 # CONFIG_FEATURE_HUMAN_READABLE is not set
 
 #
+# Common options for md5sum, sha1sum
+#
+# CONFIG_FEATURE_MD5_SHA1_SUM_CHECK is not set
+
+#
 # Console Utilities
 #
 # CONFIG_CHVT is not set
-# CONFIG_CLEAR is not set
+CONFIG_CLEAR=y
 # CONFIG_DEALLOCVT is not set
 # CONFIG_DUMPKMAP is not set
 # CONFIG_LOADFONT is not set
@@ -283,7 +284,7 @@
 CONFIG_LSMOD=y
 # CONFIG_MODPROBE is not set
 CONFIG_RMMOD=y
-# CONFIG_FEATURE_CHECK_TAINTED_MODULE is not set
+CONFIG_FEATURE_CHECK_TAINTED_MODULE=y
 
 #
 # Networking Utilities
@@ -305,7 +306,8 @@
 # CONFIG_IFUPDOWN is not set
 # CONFIG_INETD is not set
 # CONFIG_IP is not set
-# CONFIG_IPCALC is not set
+CONFIG_IPCALC=y
+CONFIG_FEATURE_IPCALC_FANCY=y
 # CONFIG_IPADDR is not set
 # CONFIG_IPLINK is not set
 # CONFIG_IPROUTE is not set
@@ -355,26 +357,40 @@
 #
 # Another Bourne-like Shell
 #
-# CONFIG_FEATURE_SH_IS_ASH is not set
+CONFIG_FEATURE_SH_IS_ASH=y
 # CONFIG_FEATURE_SH_IS_HUSH is not set
 # CONFIG_FEATURE_SH_IS_LASH is not set
-CONFIG_FEATURE_SH_IS_MSH=y
+# CONFIG_FEATURE_SH_IS_MSH is not set
 # CONFIG_FEATURE_SH_IS_NONE is not set
-# CONFIG_ASH is not set
+CONFIG_ASH=y
+
+#
+# Ash Shell Options
+#
+CONFIG_ASH_JOB_CONTROL=y
+CONFIG_ASH_ALIAS=y
+CONFIG_ASH_MATH_SUPPORT=y
+# CONFIG_ASH_MATH_SUPPORT_64 is not set
+CONFIG_ASH_GETOPTS=y
+CONFIG_ASH_CMDCMD=y
+# CONFIG_ASH_MAIL is not set
+CONFIG_ASH_OPTIMIZE_FOR_SIZE=y
+# CONFIG_ASH_RANDOM_SUPPORT is not set
 # CONFIG_HUSH is not set
 # CONFIG_LASH is not set
-CONFIG_MSH=y
+# CONFIG_MSH is not set
 
 #
 # Bourne Shell Options
 #
-CONFIG_FEATURE_SH_EXTRA_QUIET=y
-CONFIG_FEATURE_SH_STANDALONE_SHELL=y
+# CONFIG_FEATURE_SH_EXTRA_QUIET is not set
+# CONFIG_FEATURE_SH_STANDALONE_SHELL is not set
 CONFIG_FEATURE_COMMAND_EDITING=y
 CONFIG_FEATURE_COMMAND_HISTORY=15
+# CONFIG_FEATURE_COMMAND_SAVEHISTORY is not set
 CONFIG_FEATURE_COMMAND_TAB_COMPLETION=y
 # CONFIG_FEATURE_COMMAND_USERNAME_COMPLETION is not set
-# CONFIG_FEATURE_SH_FANCY_PROMPT is not set
+CONFIG_FEATURE_SH_FANCY_PROMPT=y
 
 #
 # System Logging Utilities
@@ -401,7 +417,7 @@
 # CONFIG_FSCK_MINIX is not set
 # CONFIG_MKFS_MINIX is not set
 # CONFIG_GETOPT is not set
-# CONFIG_HEXDUMP is not set
+CONFIG_HEXDUMP=y
 # CONFIG_HWCLOCK is not set
 # CONFIG_LOSETUP is not set
 # CONFIG_MKSWAP is not set
@@ -417,7 +433,7 @@
 #
 # Common options for mount/umount
 #
-# CONFIG_FEATURE_MOUNT_LOOP is not set
+CONFIG_FEATURE_MOUNT_LOOP=y
 # CONFIG_FEATURE_MTAB_SUPPORT is not set
 
 #
